# Generated from gli-2.20.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gli

Name: rubygem-%{gem_name}
Version: 2.20.1
Release: 1%{?dist}
Summary: Build command-suite CLI apps that are awesome
License: Apache-2.0
URL: http://davetron5000.github.io/gli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rainbow) >= 1.1
# BuildRequires: rubygem(rainbow) < 2
# BuildRequires: rubygem(rainbow) >= 1.1.1
# BuildRequires: rubygem(rainbow) < 1.2
# BuildRequires: rubygem(sdoc)
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Build command-suite CLI apps that are awesome.  Bootstrap your app, add
commands, options and documentation while maintaining a well-tested idiomatic
command-line app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/gli
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.tool-versions
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_instdir}/gli.cheat
%{gem_libdir}
%{gem_instdir}/object-model.dot
%{gem_instdir}/object-model.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/gli.gemspec
%doc %{gem_instdir}/gli.rdoc
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 2.20.1-1
- Initial package
